Name:      mongoose
Group:     Applications/System 
Summary:   An easy-to-use self-sufficient web server
Version:   2.8
Release:   3%{?dist}
License:   MIT
URL:       http://code.google.com/p/mongoose
Source0:   http://mongoose.googlecode.com/files/mongoose-%{version}.tgz
Source1:   mongoose.conf
Patch0:    makefile-include-debuginfo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Mongoose web server executable is self-sufficient, it does not depend on 
anything to start serving requests. If it is copied to any directory and 
executed, it starts to serve that directory on port 8080 (so to access files, 
go to http://localhost:8080). If some additional configuration is required - 
for example, different listening port or IP-based access control, then a 
'mongoose.conf' file with respective options can be created in the same 
directory where executable lives. This makes Mongoose perfect for all sorts 
of demos, quick tests, file sharing, and Web programming.

%prep
%setup -q -n %{name}
%patch0 -p1 
%{__install} -p -m 0644  %{SOURCE1} .

%build
make %{?_smp_mflags} COPT="%{optflags}" linux 

%install
rm -rf %{buildroot}
%{__install} -D -p -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -D -p -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name}.conf %{name}.c %{name}.h Makefile main.c
%doc examples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue May 18 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-3
- Several improvements to the Spec, by Terje RÃ¸sten's review (592670#c3)
- Added /examples dir to docs, as suggested by Chen Lei's review (592670#c4)

* Mon May 17 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-2
- Set of fixes to the Spec file, suggested by Chen Lei's review (592670#c1)

* Sat May 15 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-1
- initial packaging.

